<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$formname = 'Contra';
$maindb = 'contra';
$accdb = 'actran';

$file = 'contra.php';
$grid = '';
$source = 'TR';
$keyfld = "vouchno";
$trandbexist = 0;
$focusfld = "cmbfrom";
$printfile = 'contrec.php';

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];

$zyear = right($zdb, 4);
$zStartDate = getzdates($zyear, 'S');
$zEndDate = getzdates($zyear, 'E');

mysqli_select_db($conn, $zdb);
include("includes/vouchno_generate.php");
include("includes/prev&next.php");

if (isset($_POST["submit"])) {
    $a = 1;
    $vouchdt = $_POST["vouchdt"];
    $from = $_POST["cmbfrom"];
    $to = $_POST["cmbto"];
    $chqno = $_POST["chqno"];
    $chqdate = $_POST["chqdate"];
    $amount = $_POST["amount"];
    $narration = $_POST["narration"];

    // browse($qvouch);
    $mvouch = $qvouch;


    if ($a == 1) {
        mysqli_query($conn, "LOCK TABLES `$maindb` WRITE, `$accdb` WRITE, `accmast` WRITE") or die(mysqli_error($conn));
        
        if ($addflag == 1) {
            $gen1 = mysqli_query($conn, "SELECT MAX(vouchno) AS maxcode FROM `$maindb` LIMIT 0,1 ") or die(mysqli_error($conn));
            if (mysqli_num_rows($gen1) > 0) {
                $vvouch = mysqli_fetch_assoc($gen1);
                $qvouch = $vvouch["maxcode"] + 1;
            } else {
                $qvouch = '1';
            }
            $mvouch = $qvouch;
        }
        
        ######################## ACCOUNTS PART ######################################

        mysqli_query($conn, "DELETE FROM `$accdb` WHERE vouchno='$mvouch' AND `source`='$source'") or die(mysqli_error($conn));

        if ($amount > 0) {
            $minus_amt = ($amount * -1);
            $qry1 = mysqli_query($conn, "SELECT grpcode, bankinit FROM `accmast` where accode = '$from' ") or die(mysqli_error($conn));
            $fet1 = mysqli_fetch_array($qry1);
            $grp1 = $fet1['grpcode'];
            $binit1 = $fet1['bankinit'];
            
            $qry2 = mysqli_query($conn, "SELECT grpcode, bankinit FROM `accmast` where accode = '$to' ") or die(mysqli_error($conn));
            $fet2 = mysqli_fetch_array($qry2);
            $grp2 = $fet2['grpcode'];
            $binit2 = $fet2['bankinit'];

            mysqli_query($conn, "INSERT INTO `$accdb`(date, vouchno, source, trnno, accode, grpcode, bankinit, amount, chqno, chqdate)
                    VALUES ('$vouchdt','$mvouch', '$source', '001', '$from', '$grp1', '$binit1', '$amount', '$chqno', '$chqdate')") or die(mysqli_error($conn));

            mysqli_query($conn, "INSERT INTO `$accdb`(date, vouchno, source, trnno, accode, grpcode, bankinit, amount, chqno, chqdate)
                     VALUES ('$vouchdt','$mvouch', '$source', '002', '$to', '$grp2', '$binit2', '$minus_amt', '$chqno', '$chqdate')") or die(mysqli_error($conn));
        }
        
        if ($addflag == 1) {
            mysqli_query($conn, "INSERT INTO `$maindb`( vouchno ,`vouchdt`, `frombc`, `tobc`, `frombankinit`, `tobankinit`, `chqno`,`chqdate`,
                                                `amount`,`branch`,`narration`)
                                       Values ('$mvouch', '$vouchdt', '$from', '$to', '$binit1', '$binit2', '$chqno','$chqdate',
                                    '$amount','$branch','$narration')") or die(mysqli_error($conn));
        } else {
            $mvouch = $qvouch;
            mysqli_query($conn, "UPDATE `$maindb` SET  vouchno='$qvouch',  vouchdt='$vouchdt', frombc='$from',
                        tobc='$to', frombankinit='$binit1', tobankinit='$binit2', chqno='$chqno',chqdate='$chqdate',
                        amount='$amount',branch='$branch',narration='$narration'  where vouchno = '$mvouch' ") or die(mysqli_error($conn));
        }
        mysqli_query($conn, "UNLOCK TABLES");
        
        if ($addflag == 1) {
            insmess();
            header("refresh: 1; $file?$keyfld=$mvouch&mode=edit");
        } else {
            updmess();
            header("refresh: 1; $file?$keyfld=$mvouch&mode=edit");
        }
    }
}

if ($addflag != 1) {
    $getvouch = '';
    if ($addflag == 0) {
        $getvouch = $_GET[$keyfld];
    } else {
        $getvouch = $qvouch;
    }

    $result = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE $keyfld='$getvouch'") or die(mysqli_error($conn));
    $get = mysqli_fetch_array($result);

    $getbank = mysqli_query($conn, "SELECT * FROM `accmast` WHERE `accode` = '$get[frombc]'");
    $banknm = mysqli_fetch_array($getbank);

    $getcash = mysqli_query($conn, "SELECT * FROM `accmast` WHERE `accode` = '$get[tobc]'");
    $cash = mysqli_fetch_array($getcash);

    
}

/* DELETE */
if (isset($_GET["delete"])) {
    mysqli_query($conn, "LOCK TABLES `$maindb` WRITE, `$accdb` WRITE") or die(mysqli_error($conn));
    
    delete($zdb, "$maindb", "$keyfld", $_GET[$keyfld], "$file?mode=last");
    
    $delcond = " source = '$source' and vouchno = '$_GET[vouchno]' ";
    delnew($zdb, "$accdb", "$delcond", "$file?mode=last");  
    
    mysqli_query($conn, "UNLOCK TABLES");
    
}
include("includes/linkshead.php");
?>
<script>
    $(document).ready(function () {
        $("#cmbto").change(function () {
            var frm = $("#cmbfrom").val();
            var to = $("#cmbto").val();
            if (frm == to) {
                alert("From & To Value Canot Be Same");
                $('#cmbto').focus();
            }

        });
    });
</script>
<script src="MyScript/shortkeys.js" type="text/javascript"></script>
<script src="MyScript/checkdate.js" type="text/javascript"></script>
<!--<script src="MyScript/challan.js" type="text/javascript"></script>-->
</head>
<body>
    <!--    <div id="preloader" class="col-lg-12 text-center">
            <h3 class="text-center">Loading</h3>
            <div id="status">&nbsp;</div>
        </div>-->
    <form action='' method='POST'>
        <!-- Default box -->
        <div class="row">
            <div class="col-lg-6">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <h3 class="panel-title"><?php Echo $formname; ?></h3>
                        <div class="actions pull-right">
                            <i class="fa fa-chevron-down"></i>
                        </div>
                    </div>
                    <input type="date" value="<?= $zStartDate ?>" style="width: 1px;border: none" class="zstdate">
                    <input type="date" value="<?= $zEndDate ?>" style="width: 1px;border: none" class="zenddate">
                    <div class="panel-body">
                        <div class="row">
                            <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3 text-right pad">
                                <label class="label-conrol"> Voucher</label>
                            </div>
                            <div class="col-lg-2 col-md-3 col-sm-8 col-xs-8 pad"> 
                                <input type="text" name="vouchno"  placeholder="vouchno" value="<?php echo ($addflag != 1) ? $get['vouchno'] : $qvouch; ?>" class="form-control form" readonly>
                            </div>
                            <div class="col-lg-2 col-md-2 col-sm-3 col-xs-3 text-right pad">
                                <label class="label-control">Date</label>
                            </div>
                            <div class="col-lg-4 col-md-3 col-sm-8 col-xs-8 pad"> 
                                <input type="date" name="vouchdt"   placeholder="date" value="<?php echo ($addflag != 1) ? $get['vouchdt'] : date('Y-m-d'); ?>" class="form-control form vouchdt"  required autofocus>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3 text-right pad">
                                <label class="label-control">From</label>
                            </div>
                            <div class="col-lg-5 col-md-6 col-sm-8 col-xs-8 pad"> 
                                <select id="cmbfrom" name="cmbfrom" class="form-control form select2">
                                    <option value="<?php echo ($addflag != 1) ? $banknm[accode] : " "; ?>"><?php echo ($addflag != 1) ? $banknm[name] : " "; ?></option>
                                    <?php
                                    $mown = mysqli_query($conn, "SELECT accode, `name` FROM `accmast` where `grpcode` < '003' ") or die(mysqli_error($conn));
                                    while ($trow = mysqli_fetch_array($mown)) {
                                        echo "<option value=$trow[accode]>$trow[name]</option>";
                                    }
                                    ?>
                                </select>
                            </div> 
                        </div> 
                        <div class="row">
                            <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3 text-right pad">
                                <label class="label-control">To</label>
                            </div>
                            <div class="col-lg-5 col-md-6 col-sm-8 col-xs-8 pad">
                                <select id="cmbto" name="cmbto" class="form-control form select2">
                                    <option value="<?php echo ($addflag != 1) ? $cash[accode] : " "; ?>"><?php echo ($addflag != 1) ? $cash[name] : " "; ?></option>
                                    <?php
                                    $mown = mysqli_query($conn, "SELECT accode, `name` FROM `accmast` where `grpcode` < '003' ") or die(mysqli_error($conn));
                                    while ($trow = mysqli_fetch_array($mown)) {
                                        echo "<option value=$trow[accode]>$trow[name]</option>";
                                    }
                                    ?>
                                </select>
                            </div> 
                        </div>
                        <div class="row">
                            <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3 text-right pad">
                                <label class="label-control">Cheque No. </label>
                            </div>
                            <div class="col-lg-3 col-md-3 col-sm-8 col-xs-8 pad">
                                <input type="text" name="chqno"  placeholder="Cheque No." value="<?php echo ($addflag != 1) ? $get['chqno'] : ''; ?>" class="form-control form" >
                            </div>
                            <div class="col-lg-2 col-md-2 col-sm-3 col-xs-3 text-right pad">
                                <label class="label-control ">Cheque Date</label>
                            </div>
                            <div class="col-lg-3 col-md-3 col-sm-8 col-xs-8 pad">
                                <input type="date" name="chqdate"  placeholder="" value="<?php echo ($addflag != 1) ? $get['chqdate'] : ''; ?>" class="form-control form">
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3 text-right pad">
                                <label class="label-control"> Amount</label>
                            </div>
                            <div class="col-lg-3 col-md-3 col-sm-8 col-xs-8 pad">
                                <input type="text" name="amount" value="<?php echo ($addflag != 1) ? $get['amount'] : ''; ?>"  class="form-control text-right form"  required>
                            </div> 
                        </div>
                        <div class="row">
                            <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3 text-right pad">
                                <label class="label-control"> Narration </label>
                            </div>
                            <div class="col-lg-6 col-md-6 col-sm-8 col-xs-8 pad">
                                <textarea style="padding-left: 0px;" class="narration form-control form" rows="3" cols="50" maxlength="100" name="narration"  placeholder="Narration">  <?php echo ($addflag != 1) ? $get['narration'] : ''; ?></textarea>
                            </div> 
                        </div>
                    </div>
                    <div class="panel-footer">
                        <?php include("includes/buttons.php"); ?>
                    </div>
                </div>
            </div>
        </div>
    </form>
    <div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button class="close" data-dismiss="modal"><span>&times;</span></button>
                    <h4 class="modal-title" id="myLargeModalLabel">Search <? Echo $formname; ?></h4>
                </div>
                <div class="modal-body">
                    <div class=" table-responsive">
                        <table id="example1" class="table table-striped">
                            <thead>
                                <tr style="background-color: #78909C">
                                    <!--<th>Sr. No.</th>-->
                                    <th>Voucher No.</th>
                                    <th>Date</th>
                                    <th>From</th>
                                    <th>To</th>
                                    <th>Cheque No.</th>
                                    <th>Cheque Date</th>
                                    <th class="text-right">Amount</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                $srchresult = mysqli_query($conn, "SELECT * FROM `$maindb` ") or die(mysqli_error($conn));
                                while ($pmain = mysqli_fetch_array($srchresult)) {

                                    $gbfrom = mysqli_query($conn, "SELECT * FROM `accmast` WHERE `accode`='$pmain[frombc]'")or die(mysqli_error($conn));
                                    $bfrom = mysqli_fetch_array($gbfrom);

                                    $gbto = mysqli_query($conn, "SELECT * FROM `accmast` WHERE `accode`='$pmain[tobc]'")or die(mysqli_error($conn));
                                    $bto = mysqli_fetch_array($gbto);

                                    $ctr++;
                                    echo "<tr class='clickable-row' data-href='$file?mode=edit&$keyfld=$pmain[$keyfld]'>";
                                    Echo "<td class='text-center'>$pmain[vouchno]</td>";
                                    Echo "<td>$pmain[vouchdt]</td>";
                                    Echo "<td>$bfrom[name]</td>";
                                    Echo "<td>$bto[name]</td>";
                                    Echo "<td>$pmain[chqno]</td>";
                                    Echo "<td>$pmain[chqdate]</td>";
                                    Echo "<td class='text-right'>$pmain[amount]</td>";
                                    echo "<td align='center'><a href=\"$file?mode=edit&$keyfld=$pmain[$keyfld]\"><i class='fa fa-pencil' style='font-size:1.3em;color:#00C0EF;cursor:pointer;'></i></a></td>";
                                    echo "</tr>";
                                }
                                ?>
                            </tbody>
                        </table>
                    </div>
                </div>
                <div class="modal-footer"></div>
            </div>
        </div>
    </div>
    <?php include("includes/linksfoot.php"); ?>
</body>
</html>
